スルメのブログ

Rustとか近況とか

vimでRust書いてたら出てきたWarningについて

みなさんエディタは何を使ってますか?
私はvimです。

最近RustにハマってるのでvimでRustを書きやすくするためにプラグインを追加で入れました。
qiita.com

導入に関してはこちらが分かりやすいです。

rust.vimを入れてRustのコードを書いて保存した時

The option Z is unstable and should only be used on the nightly compiler, 
but it is currently accepted for backwards compatibility; 
this will soon change, see issue #31847 for more details.

というwarningがQuickfixに出てきました。
最初はプラグインのエラーだと思って同じ現象が起きてるところのissueを見たんですけど...
github.com

すでに改善されているようです...
となると自分が導入する前に入れていたプラグインと競合している可能性が浮上してきました。

原因がvim-watchdogsでした。
github.com

どうやらrust.vimvim-watchdogsが競合していたのが原因だったようです(?)
特定のファイルに対してwatchdogsを無効化できるようなので設定しておきました。

let g:watchdogs_check_BufWritePost_enables = {
\           "rust" : 0
\}

これを書き足したら無事に治りました。
快適なvim生活に一歩近づきました...